Authorization
Refresh a token
Issues a new access token for a refresh token. No new refresh token is issued.
POST
/
api
/
token
/
refresh
/
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Token is invalid or expired",
"code": "token_not_valid"
}
Request body
string
required
The
refresh token from the sign-in response. Valid for 1 day.Response
string
New access token.
refresh expires. Then get a new pair with Get a token.
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Token is invalid or expired",
"code": "token_not_valid"
}
Last modified on October 17, 2026
⌘I
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Token is invalid or expired",
"code": "token_not_valid"
}